'  
'   Rebex Sample Code License
' 
'   Copyright 2025, REBEX CR s.r.o.
'   All rights reserved.
'   https://www.rebex.net/
' 
'   Permission to use, copy, modify, and/or distribute this software for any
'   purpose with or without fee is hereby granted.
' 
'   THE SOFTWARE IS PROVIDED "AS IS", WITHOUT WARRANTY OF ANY KIND,
'   EXPRESS OR IMPLIED, INCLUDING BUT NOT LIMITED TO THE WARRANTIES
'   OF MERCHANTABILITY, FITNESS FOR A PARTICULAR PURPOSE AND
'   NONINFRINGEMENT. IN NO EVENT SHALL THE AUTHORS OR COPYRIGHT
'   HOLDERS BE LIABLE FOR ANY CLAIM, DAMAGES OR OTHER LIABILITY,
'   WHETHER IN AN ACTION OF CONTRACT, TORT OR OTHERWISE, ARISING
'   FROM, OUT OF OR IN CONNECTION WITH THE SOFTWARE OR THE USE OR
'   OTHER DEALINGS IN THE SOFTWARE.
' 

Imports System
Imports System.Collections.Generic
Imports System.Text

''' <summary>
''' Simple command line ZIP archive manipulation utility.
''' </summary>
Class Program
    ''' <summary>
    ''' Application entry point.
    ''' </summary>
    ''' <param name="args">Command line arguments.</param>
    Shared Sub Main(ByVal args As String())
            ' set the trial license key
            Rebex.Licensing.Key = Rebex.Samples.TrialKey.Key


        Try
            ' create an object that does all the work
            Dim session As New ZipSession()

            ' if an argument was specified, treat it as a path to a ZIP file and open it
            If args.Length > 0 Then
                session.Open(args(0), False)
            End If

            ' start a working loop
            session.Run()
        Catch e As Exception
            ' display any unhandled error
            Console.WriteLine("Error occurred: {0}", e)
        End Try
    End Sub
End Class
